using System;

internal class Class15
{
	internal static RuntimeTypeHandle smethod_0(int token)
	{
		return Class15.moduleHandle_0.GetRuntimeTypeHandleFromMetadataToken(token);
	}

	internal static RuntimeFieldHandle smethod_1(int token)
	{
		return Class15.moduleHandle_0.GetRuntimeFieldHandleFromMetadataToken(token);
	}

	internal static Type smethod_2(RuntimeTypeHandle runtimeTypeHandle_0)
	{
		return Type.GetTypeFromHandle(runtimeTypeHandle_0);
	}

	internal static object smethod_3(object object_0)
	{
		return object_0.GetModules();
	}

	internal static ModuleHandle smethod_4(object object_0)
	{
		return object_0.ModuleHandle;
	}

	internal static ModuleHandle moduleHandle_0 = typeof(Class15).Assembly.GetModules()[0].ModuleHandle;
}
